Skip to main content
GET
/
subaccounts
/
transactions
List all transactions
curl --request GET \
  --url https://api.anchorage-staging.com/v2/subaccounts/transactions \
  --header 'Api-Access-Key: <api-key>'
{
  "data": [
    {
      "transactionId": "c4c4652f-0c07-472c-a7f8-955fbe07775d",
      "subaccounts": [
        {
          "subaccountId": "ec761b5e-fd2c-497a-a9a0-f8738ac97bdf",
          "balances": [
            {
              "assetType": "BTC",
              "hold": "1000.00",
              "pending": "1000.00",
              "posted": "1000.00"
            }
          ]
        }
      ],
      "status": "POSTED",
      "createdAt": "2019-01-02T12:34:56.000Z",
      "endedAt": "2019-01-03T12:34:56.000Z",
      "transactionType": "WITHDRAWAL"
    }
  ],
  "page": {
    "next": "<next page url>"
  }
}

Authorizations

Api-Access-Key
string
header
required

An API key associated with a security role

Query Parameters

subaccountId
string

Unique Identifier for the Subaccount

afterId
string

When paginating this is used to provide the starting point for the page to fetch (retrieved from the previous response body)

limit
integer<int64>
default:25

Maximum number of results to return per query

Required range: 1 <= x <= 100
statuses
enum<string>[]

One or more transaction statuses to filter results

Available options:
POSTED,
PENDING,
CANCELED
types
enum<string>[]

One or more transaction types to filter results

Available options:
DEPOSIT,
WITHDRAWAL,
TRADE,
TRADE_SETTLEMENT,
MANAGEMENT_FEE,
CUSTODY_FEE,
ADVISORY_FEE,
MODEL_FEE,
FEE_SETTLEMENT,
SUBACCOUNT_TRANSFER,
STAKING_REWARD,
DELEGATION_REWARD
startDate
string<date>

The start date (inclusive) in YYYY-MM-DD format. The earliest valid start date is '2017-01-01`. Dates are always in UTC RFC 3339 'full-date'.

endDate
string<date>

The end date (inclusive) in YYYY-MM-DD format. The earliest valid start date is '2017-01-01`. Dates are always in UTC RFC 3339 'full-date'.

Response

A list of transactions

data
SubaccountTransaction · object[]
required
page
Page · object

Pagination info